﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using UkazkaDataGrid.StrukturaVety;

namespace UkazkaDataGrid
{
    /// <summary>
    /// Interakční logika pro MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<VetaOsoby> Seznam1 { get; set; }
        private ObservableCollection<VetaOsoby> Seznam2 { get; set; }
        private ObservableCollection<VetaOsoby> Seznam3 { get; set; }
        private ObservableCollection<VetaOsoby> Seznam4 { get; set; }
        public ObservableCollection<string> seznamPohlavi { get; set; }

        /// <summary>
        /// Konstruktor třídy
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
            NaplnData();

            seznamPohlavi = new ObservableCollection<string>() { "M", "Z" };
            colPohl.ItemsSource = seznamPohlavi;
        }

        private void NaplnData()
        {
            Seznam1 = new ObservableCollection<VetaOsoby>();
            Seznam2 = new ObservableCollection<VetaOsoby>();
            Seznam3 = new ObservableCollection<VetaOsoby>();
            Seznam4 = new ObservableCollection<VetaOsoby>();

            List<string> jmena = new List<string>() { "Aaaaaaaaaa", "Bbbbbbbbbb",
                "Cccccccccc", "Dddddddddd", "Eeeeeeeeee", "Ffffffffff",
                "Gggggggggg", "Hhhhhhhhhh", "Iiiiiiiiii", "Jjjjjjjjjj"};
            DateTime datum = DateTime.Now.AddDays(-7300);
            bool prepinac = true;
            for (int i = 0; i < 10; i++)
            {
                VetaOsoby vo = new VetaOsoby();
                vo.Jmeno = jmena[i].Substring(0, 5);
                vo.Prijmeni = jmena[i];
                vo.Narozeni = datum.AddDays((i * 100));
                if (prepinac)
                {
                    vo.Pohlavi = "M";
                    prepinac = false;
                }
                else
                {
                    vo.Pohlavi = "Z";
                    prepinac = true;
                }
                Seznam1.Add(vo);
                Seznam2.Add(vo);
                Seznam3.Add(vo);
                Seznam4.Add(vo);
            }

            dgdSeznam1.ItemsSource = Seznam1;
            dgdSeznam2.ItemsSource = Seznam2;
            dgdSeznam3.ItemsSource = Seznam3;
            ListCollectionView sezSkup = new ListCollectionView(Seznam4);
            sezSkup.GroupDescriptions.Add(new PropertyGroupDescription("PohlaviC"));
            sezSkup.SortDescriptions.Add(new SortDescription("Prijmeni", ListSortDirection.Ascending));
            sezSkup.SortDescriptions.Add(new SortDescription("Jmeno", ListSortDirection.Ascending));
            dgdSeznam4.ItemsSource = sezSkup;
        }


        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ZavriOkno(object sender, RoutedEventArgs e)
        {
            wdwPrvky.Close();
        }

        private void ZobrazVybrano(object sender, SelectionChangedEventArgs e)
        {
            lblVybrano.Content = "Bylo vybráno " +
                dgdSeznam2.SelectedItems.Count.ToString() + " záznamů";
        }
    }
}
