﻿using System;

namespace UkazkaDataGrid.StrukturaVety
{
    public class VetaOsoby
    {
        public string Jmeno { get; set; }
        public string Prijmeni { get; set; }
        public DateTime Narozeni { get; set; }
        public string Pohlavi { get; set; }
        public string CeleJmeno
        {
            get
            {
                return Jmeno + " " + Prijmeni;
            }
        }
        public string DatumNarozeni
        {
            get
            {
                return Narozeni.ToShortDateString();
            }
        }
        public string PohlaviC
        {
            get
            {
                if (Pohlavi.Equals("M"))
                {
                    return "Muži";
                }
                else
                {
                    return "Ženy";
                }
            }
        }


        /// <summary>
        /// Konstruktor třídy
        /// </summary>
        public VetaOsoby()
        {
        }


        /// <summary>
        /// Konstruktor třídy s parametry
        /// </summary>
        /// <param name="pJmeno"></param>
        /// <param name="pPrijmeni"></param>
        /// <param name="pNarozeni"></param>
        /// <param name="pPohlavi"></param>
        public VetaOsoby(string pJmeno, string pPrijmeni,
                        DateTime pNarozeni, string pPohlavi)
        {
            Jmeno = pJmeno;
            Prijmeni = pPrijmeni;
            Narozeni = pNarozeni;
            Pohlavi = pPohlavi;
        }
    }

}
